Subject: Re: exception vectors

From: "Ingmar" <[email-masked]>
Date: Tue, 1 Nov 2005 09:28:31 +0100

> > > > I am trying to overwrite the exception vector space of an ibook G4 :).
> > > 
> > > Why?
> > > 
> > 
> > For my thesis project I am porting the Minix (v3) OS.
> 
> Sounds like using qemu or some other emulator to do the PPC port first
> might be an easier choice, and make debugging easier for you during
> early bringup.

I was going to try that, before I got the ibook. Then I got the ibook and I
wanted to get my hand dirty. Nothing beats the real thing :)

But I have figured it out, I have the code working...

It are more or less (just) two things:
 - mmu off,
 - make sure u copy through the cache.

And of course make sure your secondary code is working as it should, then a emu
would help :).

Thanks for the reactions.
  Ingmar